@import "../../assets/scss/variables";

.main-page {
  transition: 0.5s;
  padding: 0 1%;
  height: 100%;
  display: flex;
  //flex-direction: column;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  gap: 50px;
  & > .el-col {
    height: 100%;
  }
}

.murr-tavern {

  //height: 50%;


  &__chat {
    height: 400px;
    //min-width: 320px;
    //max-height: 450px;
  }
}

.murr-feed {
  height: 100%;
  min-width: 330px;
  max-width: 330px;
  //margin-left: 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 7px;
  & .feed-filters,
  & .feed-actions {
    border: 1px solid $main;
    border-radius: 3px;
    padding: 7px;
    display: flex;
    align-items: center;
  }
  & .feed-filters {
    &:after,
    &:before {
      content: none;
    }
    width: min-content;
    justify-content: center;
    align-self: center;
    gap: 1px;
    background-color: $dark;
    & .feed-filter {
      line-height: 21px;
      font-size: 18px;
      font-family: Roboto;
      padding: 1px 6px;
      border-radius: 3px;
      cursor: pointer;
      position: relative;
      &:hover,
      &.active {
        background-color: $dark-active;
      }
      &-notify {
        height: 6px;
        width: 6px;
        position: absolute;
        background-color: $success;
        border-radius: 50%;
        top: 2px;
        right: 2px;
      }
    }
  }
  & .feed-actions {
    &__day-phrase {
      font-size: 14px;
      line-height: 16px;
    }
    &__add-murr {
      display: flex;
      justify-content: center;
      align-items: center;
      & button {
        padding: 0;
        font-size: 30px;
      }
    }
  }
  & .feed-list {
    //height: calc(100% - 50px);
    height: 600px;
    overflow-y: auto;
    overflow-x: hidden;
    & .observer {
      margin-top: -600px;
      margin-bottom: 600px;
    }
  }
}

@media (min-width: 1200px) {
  .main-page {
    padding: 0 5%;
  }
}
@media (min-width: 1600px) {
  .main-page {
    padding: 0 10%;
  }
}
